%define build_test 0

# commandline overrides:
# rpm -ba|--rebuild --with 'xxx'
%{?_with_test: %{expand: %%global build_test 1}}
%{?_without_test: %{expand: %%global build_test 0}}

%define their_version %{version}.STABLE19

## Redefine configure values.
%define	_bindir %{_prefix}/sbin
%define _libexecdir %{_libdir}/squid
%define _initrddir /etc/rc.d/init.d/
%define _sysconfdir /etc/squid
%define  _localstatedir /var

%define defaultmaxfiles 1024

Summary:	The Squid proxy caching server %{their_version}
Name:		squid
Version:	3.0
Release:	%mkrel 20
License:	GPL
Group:		System/Servers
URL:		http://www.squid-cache.org/
Source0:	http://www.squid-cache.org/Versions/v3/3.0/squid-%{their_version}.tar.gz
Source1:	http://www.squid-cache.org/Versions/v3/3.0/squid-%{their_version}.tar.gz.asc
Source2:	http://www.squid-cache.org/Doc/FAQ/FAQ.tar.bz2
Source3:	squid.init
Source4:	squid.logrotate
Source5:	squid.conf.authenticate
Source6:	smb.conf
Source7:	squid.conf.transparent
Source8:	rc.firewall
Source9:	ERR_CUSTOM_ACCESS_DENIED.English
Source10:	ERR_CUSTOM_ACCESS_DENIED.French
Source11: 	squid.sysconfig
Source12:	squid.pam-0.77
Source13:	squid.pam
Patch0:		squid-make.diff
Patch1:		squid-config.diff
Patch2:		squid-user_group.diff
Patch3:		squid-ssl.diff
Patch4:		squid-3.0-with_new_linux_headers_capability.patch
Patch7:		squid-db4.diff
Patch8:		squid-visible_hostname.diff
Patch9:		squid-smb-auth.diff
Patch10:	squid-cachemgr.conf_locationfix.diff
Patch11:	squid-shutdown_lifetime.diff
Patch12:	squid-no_-Werror.diff
Patch13:	squid-datadir.diff
Patch14:	squid-digest-rfc2069.diff
Patch301:	squid-getconf_mess.diff
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	db4-devel
BuildRequires:	libsasl-devel
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel >= 0.9.7
BuildRequires:	pam-devel
BuildRequires:	pkgconfig
BuildRequires:	libtool
BuildRequires:	krb5-devel
#BuildRequires:	automake1.9
#BuildRequires:	autoconf2.5
%if %{build_test}
BuildRequires:	cppunit-devel
%endif
Provides:	webproxy
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Squid is a high-performance proxy caching server for Web clients, supporting
FTP, gopher, and HTTP data objects. Unlike traditional caching software, Squid
handles all requests in a single, non-blocking, I/O-driven process. Squid keeps
meta data and especially hot objects cached in RAM, caches DNS lookups,
supports non-blocking DNS lookups, and implements negative caching of failed
requests.

Squid consists of a main server program squid, a Domain Name System lookup
program (dnsserver), a program for retrieving FTP data (ftpget), and some
management and client tools.

Install squid if you need a proxy caching server.

This package defaults to a maximum of %{defaultmaxfiles} filedescriptors. You
can change these values at build time by using for example:

--define 'maxfiles 4096'

The package was built to support a maximum of %{?!maxfiles:%{defaultmaxfiles}}%{?maxfiles:%{maxfiles}} filedescriptors.

You can build %{name} with some conditional build swithes;

(ie. use with rpm --rebuild):
    --with[out]	test	Initiate the test suite

%package	cachemgr
Summary:	The Squid Cache Manager
Group:		System/Servers
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.0.54
Requires(pre):	apache >= 2.0.54
Requires(pre):	apache-modules >= 2.0.54
Requires(pre):	%{name} = %{version}
Requires:	apache-conf >= 2.0.54
Requires:	apache >= 2.0.54
Requires:	apache-modules >= 2.0.54
Requires:	%{name} = %{version}

%description	cachemgr
This package contains the Squid Cache Manager.

%prep

%setup -q -n squid-%{their_version}

find . -type d -perm 0700 -exec chmod 755 {} \;
find . -type f -perm 0555 -exec chmod 755 {} \;
find . -type f -perm 0444 -exec chmod 644 {} \;

for i in `find . -type d -name CVS`  `find . -type d -name .svn` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%patch0 -p0 -b .make
%patch1 -p1 -b .config
%patch2 -p0 -b .user_group
%patch3 -p0 -b .ssl
%patch4 -p1 -b .with_new_linux_headers_capability
%patch7 -p1 -b .db4
%patch8 -p0 -b .visible_hostname
%patch9 -p0 -b .backslashes
%patch10 -p0 -b .cachemgr.conf_locationfix
%patch11 -p0 -b .shutdown_lifetime
%patch12 -p1 -b .no_-Werror
%patch13 -p1 -b .datadir
%patch14 -p1 -b .digest-rfc2069
%patch301 -p0 -b .getconf

mkdir -p faq
tar -jxf %{SOURCE2} -C faq

install -m 0755 %{SOURCE3} squid.init
install -m 0644 %{SOURCE4} squid.logrotate
install -m 0644 %{SOURCE5} squid.conf.authenticate
install -m 0644 %{SOURCE6} smb.conf
install -m 0644 %{SOURCE7} squid.conf.transparent
install -m 0755 %{SOURCE8} rc.firewall
install -m 0644 %{SOURCE11} squid.sysconfig

# fix conditional pam config file
%if %{mdkversion} < 200610
install -m 0644 %{SOURCE12} squid.pam
%else
install -m 0644 %{SOURCE13} squid.pam
%endif

perl -p -i -e "s|^SAMBAPREFIX.*|SAMBAPREFIX = /usr|" helpers/basic_auth/SMB/Makefile.*
#perl -p -i -e "s|^icondir.*|icondir = \\$\(libexecdir\)/icons|" icons/Makefile.am icons/Makefile.*
grep -r "local/bin/perl" . |sed -e "s/:.*$//g" | xargs perl -p -i -e "s@local/bin/perl@bin/perl@g"

# libtool
perl -pi -e "s|AC_PROG_RANLIB|AC_PROG_LIBTOOL|g" configure*

%build
%serverbuild
rm -rf configure autom4te.cache
#libtoolize --copy --force
#aclocal
#autoheader
#autoconf --force
#automake --foreign --add-missing --copy --force-missing

sh ./bootstrap.sh

export SSLLIB="-L%{_libdir} `pkg-config --libs openssl`"
export CPPFLAGS="-I%{_includedir}/openssl $CPPFLAGS"

%ifarch x86_64
export CFLAGS="$CFLAGS -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
export CXXFLAGS="$CXXFLAGS -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64"
%else
export CFLAGS="$CFLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
export CXXFLAGS="$CXXFLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"
%endif

%configure2_5x \
    --enable-shared=yes \
    --enable-static=no \
    --enable-xmalloc-statistics \
    --enable-carp \
    --enable-async-io \
    --enable-storeio="aufs,diskd,null,ufs" \
    --enable-disk-io="AIO,Blocking,DiskDaemon,DiskThreads" \
    --enable-removal-policies="heap,lru" \
    --enable-icmp \
    --enable-delay-pools \
    --disable-esi \
    --enable-icap-client \
    --enable-useragent-log \
    --enable-referer-log \
    --enable-wccp \
    --enable-wccpv2 \
    --disable-kill-parent-hack \
    --enable-snmp \
    --enable-cachemgr-hostname="localhost" \
    --enable-arp-acl \
    --enable-htcp \
    --enable-ssl \
    --enable-forw-via-db \
    --enable-cache-digests \
    --disable-poll \
    --enable-epoll \
    --enable-linux-netfilter \
    --disable-ident-lookups \
    --enable-default-hostsfile=/etc/hosts \
    --enable-auth="basic,digest,negotiate,ntlm" \
    --enable-basic-auth-helpers="getpwnam,LDAP,MSNT,multi-domain-NTLM,NCSA,PAM,SMB,YP,SASL,POP3,DB,squid_radius_auth" \
    --enable-ntlm-auth-helpers="fakeauth,no_check,SMB" \
    --enable-negotiate-auth-helpers="squid_kerb_auth" \
    --enable-digest-auth-helpers="password,ldap,eDirectory" \
    --enable-external-acl-helpers="ip_user,ldap_group,session,unix_group,wbinfo_group" \
    --with-default-user=%{name} \
    --with-pthreads \
    --with-dl \
    --with-openssl=%{_prefix} \
    --with-large-files \
    --with-build-environment=default \
    %{?!maxfiles:--with-filedescriptors=%{defaultmaxfiles}}%{?maxfiles:%{maxfiles}}

# Some versions of autoconf fail to detect sys/resource.h correctly;
# apparently because it generates a compiler warning.

if [ -e /usr/include/sys/resource.h ]; then
cat >> include/autoconf.h <<EOF
#ifndef HAVE_SYS_RESOURCE_H
#define HAVE_SYS_RESOURCE_H 1
#define HAVE_STRUCT_RUSAGE 1
#endif
EOF
fi

# move the errors files
#grep -r errors * |grep share | sed -e "s/:.*$//g" | xargs perl -p -i -e "s|usr/share/errors|usr/%{_lib}/squid/errors|g" 
#grep -r iconsdir * |grep share | sed -e "s/:.*$//g" | xargs perl -p -i -e "s|usr/share/errors|usr/%{_lib}/squid/errors|g" 

%make

#grep -r errors * |grep share | sed -e "s/:.*$//g" | xargs perl -p -i -e "s|usr/share/errors|usr/%{_lib}/squid/errors|g" 

%if %{build_test}
%check
make check
%endif

%install
rm -rf %{buildroot}

%makeinstall 

# make some directories
install -d %{buildroot}%{_initrddir}
install -d %{buildroot}/etc/{logrotate.d,pam.d,sysconfig}
install -d %{buildroot}/etc/httpd/conf/webapps.d
install -d %{buildroot}%{_datadir}/%{name}/{errors,icons}
install -d %{buildroot}%{_datadir}/%{name}/errors/{English,French}
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_var}/www/cgi-bin
install -d %{buildroot}%{_var}/log/squid
install -d %{buildroot}%{_var}/run/squid
install -d %{buildroot}%{_var}/spool/squid
install -d %{buildroot}%{_datadir}/snmp/mibs

# fix error docs location
rm -rf %{buildroot}%{_sysconfdir}/errors
pushd errors
    for i in *; do
	if [ -d $i ]; then
	    install -d %{buildroot}%{_datadir}/%{name}/errors/$i
	    install -m0644 $i/* %{buildroot}%{_datadir}/%{name}/errors/$i
	fi
    done
popd
ln -fs %{_datadir}/%{name}/errors/English %{buildroot}%{_sysconfdir}/errors

# install config
install -m0755 squid.init %{buildroot}%{_initrddir}/squid
install -m0644 squid.logrotate %{buildroot}/etc/logrotate.d/squid
install -m0644 squid.sysconfig %{buildroot}/etc/sysconfig/squid
install -m0644 helpers/basic_auth/MSNT/msntauth.conf.default %{buildroot}%{_sysconfdir}

# fix docs
cp helpers/basic_auth/LDAP/README README.auth_ldap

cp helpers/basic_auth/MSNT/README.html README.auth_msnt.html
cp helpers/basic_auth/MSNT/msntauth.conf.default .

cp helpers/basic_auth/SASL/README README.auth_sasl
cp helpers/basic_auth/SASL/squid_sasl_auth.conf .

cp helpers/basic_auth/SMB/README README.auth_smb
cp helpers/basic_auth/multi-domain-NTLM/README.txt README.multi-domain-NTLM_basic_auth

cp helpers/external_acl/ip_user/README README.ip_user_external_acl
cp helpers/external_acl/ip_user/example.conf ip_user_external_acl.example.conf
cp helpers/external_acl/ip_user/example-deny_all_but.conf ip_user_external_acl.example-deny_all_but.conf

cp helpers/external_acl/ldap_group/README README.ldap_group_external_acl
cp helpers/external_acl/ldap_group/ChangeLog ChangeLog.ldap_group_external_acl

cp helpers/external_acl/unix_group/README README.unix_group_external_acl
cp helpers/ntlm_auth/no_check/README.no_check_ntlm_auth README.no_check_ntlm_auth

head -19 helpers/basic_auth/NCSA/ncsa_auth.c > README.NCSA_basic_auth
head -56 helpers/basic_auth/PAM/pam_auth.c > README.PAM_basic_auth
head -21 helpers/basic_auth/getpwnam/getpwnam_auth.c > README.getpwnam_basic_auth
head -32 helpers/digest_auth/password/digest_pw_auth.c > README.password_digest_auth
head -32 helpers/digest_auth/ldap/digest_pw_auth.c > README.ldap_digest_auth

install -m0755 helpers/basic_auth/SMB/smb_auth.sh %{buildroot}%{_libexecdir}
install -m0755 helpers/basic_auth/SASL/squid_sasl_auth %{buildroot}%{_libexecdir}

for manpage in `find -name "*.8"`; do
    install -m0644 $manpage %{buildroot}/%{_mandir}/man8/
done

install -m 0644 %{SOURCE9} %{buildroot}%{_datadir}/%{name}/errors/English/ERR_CUSTOM_ACCESS_DENIED
install -m 0644 %{SOURCE10} %{buildroot}%{_datadir}/%{name}/errors/French/ERR_CUSTOM_ACCESS_DENIED

install -m644 squid.pam %{buildroot}/etc/pam.d/squid

# move the mib in-place
mv %{buildroot}%{_datadir}/mib.txt %{buildroot}%{_datadir}/snmp/mibs/SQUID.txt

# move cachemgr.cgi to a more safe location
mv %{buildroot}%{_libexecdir}/cachemgr.cgi %{buildroot}%{_var}/www/cgi-bin/

# provide a simple apache config
cat > %{buildroot}/etc/httpd/conf/webapps.d/squid-cachemgr.conf << EOF
<Location /cgi-bin/cachemgr.cgi>
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
    ErrorDocument 403 "Access denied per /etc/httpd/conf/webapps.d/squid-cachemgr.conf"
</Location>
EOF

# some cleaning
rm -f %{buildroot}%{_libdir}/squid/no_check.pl
#rm -rf %{buildroot}%{_datadir}/errors

# nuke zero length files
find %{buildroot}%{_datadir}/%{name}/errors/ -type f -size 0 -exec rm -f {} \;

%pre
%_pre_useradd squid %{_var}/spool/squid /bin/false

for i in %{_var}/log/squid %{_var}/spool/squid ; do
        if [ -d $i ] ; then
                for adir in `find $i -maxdepth 0 \! -user squid`; do
                        chown -R squid:squid $adir
                done
        fi
done

%post
%_post_service squid
 case "$LANG" in
  az*)
     DIR=Azerbaijani
     ;;
  bg*)
     DIR=Bulgarian
     ;;
  ca*)
     DIR=Catalan
     ;;
  cs*)
     DIR=Czech
     ;;
  da*)
     DIR=Danish
     ;;
  nl*)
     DIR=Dutch
     ;;
  en*)
     DIR=English
     ;;
  ea*)
     DIR=Estonian
     ;;
  fi*)
     DIR=Finnish
     ;;
  fr*)
     DIR=French
     ;;
  de*)
     DIR=German
     ;;
  el*)
     DIR=Greek
     ;;
  he*)
     DIR=Hebrew
     ;;
  hu*)
     DIR=Hungarian
     ;;
  it*)
     DIR=Italian
     ;;
  ja*)
     DIR=Japanese
     ;;
  kr*)
     DIR=Korean
     ;;
  lt*)
     DIR=Lithuanian
     ;;
  pl*)
     DIR=Polish
     ;;
  pt*)
     DIR=Portuguese
     ;;
  ro*)
     DIR=Romanian
     ;;
  ru*)
     DIR=Russian-koi8-r
     ;;
  sr*)
     DIR=Serbian
     ;;
  sk*)
     DIR=Slovak
     ;;
  es*)
     DIR=Spanish
     ;;
  sv*)
     DIR=Swedish
     ;;
  zh*)
     DIR=Traditional_Chinese
     ;;
  tr*)
     DIR=Turkish
     ;;
  *)
     DIR=English
     ;;
 esac

%preun
%_preun_service squid
if [ $1 = 0 ] ; then
	rm -f %{_var}/log/squid/*
        /sbin/chkconfig --del squid
fi

%postun
%_postun_userdel squid

%post cachemgr
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun cachemgr
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc faq/* C* S* R* Q* rc.firewall *.conf* doc/*.txt
%exclude %{_sysconfdir}/cachemgr.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/*.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/*.default
%attr(0644,root,root) %config(noreplace) /etc/pam.d/squid
%attr(0644,root,root) %config(noreplace) /etc/sysconfig/squid
%attr(0644,root,root) %config(noreplace) /etc/logrotate.d/squid
%attr(0755,root,squid) %{_initrddir}/squid
%{_sysconfdir}/errors
%{_datadir}/%{name}/errors
%{_datadir}/%{name}/icons
%{_libexecdir}/diskd
%{_libexecdir}/unlinkd
%attr(0755,root,squid) %{_libexecdir}/digest_edir_auth
%attr(0755,root,squid) %{_libexecdir}/digest_ldap_auth
%attr(0755,root,squid) %{_libexecdir}/digest_pw_auth
%attr(0755,root,squid) %{_libexecdir}/fakeauth_auth
%attr(0755,root,squid) %{_libexecdir}/getpwname_auth
%attr(0755,root,squid) %{_libexecdir}/ip_user_check
%attr(0755,root,squid) %{_libexecdir}/msnt_auth
%attr(0755,root,squid) %{_libexecdir}/ncsa_auth
%attr(0755,root,squid) %{_libexecdir}/ntlm_auth
%attr(0755,root,squid) %{_libexecdir}/pam_auth
%attr(0755,root,squid) %{_libexecdir}/pinger
%attr(0755,root,squid) %{_libexecdir}/pop3.pl
%attr(0755,root,squid) %{_libexecdir}/sasl_auth
%attr(0755,root,squid) %{_libexecdir}/smb_auth
%attr(0755,root,squid) %{_libexecdir}/smb_auth.pl
%attr(0755,root,squid) %{_libexecdir}/smb_auth.sh
%attr(0755,root,squid) %{_libexecdir}/squid_db_auth
%attr(0755,root,squid) %{_libexecdir}/squid_kerb_auth
%attr(0755,root,squid) %{_libexecdir}/squid_ldap_auth
%attr(0755,root,squid) %{_libexecdir}/squid_ldap_group
%attr(0755,root,squid) %{_libexecdir}/squid_radius_auth
%attr(0755,root,squid) %{_libexecdir}/squid_sasl_auth
%attr(0755,root,squid) %{_libexecdir}/squid_session
%attr(0755,root,squid) %{_libexecdir}/squid_unix_group
%attr(0755,root,squid) %{_libexecdir}/wbinfo_group.pl
%attr(0755,root,squid) %{_libexecdir}/yp_auth

%{_sbindir}/*
%attr(0644,root,root) %{_mandir}/man8/*
%attr(0755,squid,squid) %dir %{_var}/run/squid
%attr(0755,squid,squid) %dir %{_var}/log/squid
%attr(0755,squid,squid) %dir %{_var}/spool/squid
%attr(0644,root,squid) %{_datadir}/snmp/mibs/SQUID.txt

%files cachemgr
%defattr(-,root,root)
%attr(0644,root,root) %config(noreplace) /etc/httpd/conf/webapps.d/squid-cachemgr.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/cachemgr.conf
%attr(0755,root,squid) %{_var}/www/cgi-bin/cachemgr.cgi


%changelog
* Fri Sep 25 2009 Luis Daniel Lucio Quiroz <dlucio@mandriva.org> 3.0-20mdv2008.1
+ Revision: 448587
- SPEC minor change in .patch14
- Redif patch 14, to let it work
- Fix RFC2069 bug
  http://bugs.squid-cache.org/show_bug.cgi?id=2773

* Sat Sep 12 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-19mdv2010.0
+ Revision: 438551
- 3.0.STABLE19

* Wed Aug 05 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-18mdv2010.0
+ Revision: 410317
- 3.0.STABLE18

* Sun Jul 26 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-17mdv2010.0
+ Revision: 400457
- 3.0.STABLE17

* Thu Jun 18 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-16mdv2010.0
+ Revision: 387108
- 3.0.STABLE16
- rediffed one patch
- added a patch from gentoo that makes it build

* Wed May 13 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-15mdv2010.0
+ Revision: 375343
- 3.0.STABLE15

* Sat Apr 11 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-14mdv2009.1
+ Revision: 366234
- 3.0.STABLE14

* Thu Feb 05 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-13mdv2009.1
+ Revision: 337774
- 3.0.STABLE13

* Sat Jan 31 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-12mdv2009.1
+ Revision: 335757
- 3.0.STABLE12

* Tue Jan 13 2009 Oden Eriksson <oeriksson@mandriva.com> 3.0-11mdv2009.1
+ Revision: 329210
- 3.0.STABLE11

* Wed Dec 17 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-10mdv2009.1
+ Revision: 315098
- rediffed fuzzy patches

* Mon Oct 27 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-9mdv2009.1
+ Revision: 297562
- 3.0.STABLE10
- rediffed P10

* Wed Sep 24 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-8mdv2009.0
+ Revision: 287774
- 3.0.STABLE9
- rediffed P1,P13

* Mon Aug 11 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-7mdv2009.0
+ Revision: 270890
- 3.0.STABLE8

* Tue Jun 24 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-6mdv2009.0
+ Revision: 228604
- 3.0.STABLE7
- really fix #41121
- revert to the old behaviour
- fix #41121 (squid init script reinitializes alternate format swap_dir's)

* Wed May 28 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-5mdv2009.0
+ Revision: 212752
- disable the cppunit test suite for now, enable it later
- 3.0.STABLE6

* Mon May 12 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-4mdv2009.0
+ Revision: 206214
- rebuild
- 3.0.STABLE5
- drop the squid-xforward_logging patch, it's not maintained
- revert the "conform to the 2008 specs (don't start the services per
  default)" changes and let this be handled some other way...
- enable the test suite (with a conditional twist)

* Fri Apr 18 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-2mdv2009.0
+ Revision: 195627
- 3.0.STABLE4

* Mon Feb 18 2008 Oden Eriksson <oeriksson@mandriva.com> 3.0-1mdv2008.1
+ Revision: 171230
- add a virtal provides of webproxy

* Tue Jan 29 2008 Andreas Hasenack <andreas@mandriva.com> 3.0-0.1mdv2008.1
+ Revision: 159758
- add krb5-devel to buildrequires
- from oden: updated to version 3.0.STABLE1

* Wed Jan 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.6.STABLE17-4mdv2008.1
+ Revision: 157273
- rebuild with fixed %%serverbuild macro

* Tue Jan 08 2008 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE17-3mdv2008.1
+ Revision: 146558
- fix icap memory leak (#35992)

* Fri Dec 21 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.STABLE17-2mdv2008.1
+ Revision: 136292
- rebuilt against new build deps

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 03 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE17-1mdv2008.1
+ Revision: 114478
- updated to version 2.6.17

* Thu Sep 06 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.STABLE16-1mdv2008.0
+ Revision: 80633
- 2.6.STABLE16
- rediffed P1,P300

* Wed Aug 08 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.STABLE14-1mdv2008.0
+ Revision: 60347
- 2.6.STABLE13
- obey the 2008 specs (don't start it per default)

* Wed Jun 27 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE13-3mdv2008.0
+ Revision: 45067
- rebuild with new serverbuild macro (-fstack-protector-all)

* Fri Jun 22 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE13-2mdv2008.0
+ Revision: 43207
- use serverbuild macro

* Mon Jun 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.STABLE13-1mdv2008.0
+ Revision: 35116
- 2.6.STABLE13
- rediffed P300

* Mon Jun 04 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.STABLE12-1mdv2008.0
+ Revision: 35052
- 2.6.STABLE12
- new icap patch (P300)
- compile fixes conserning P300 by boklm (P400,P401)
- drop upstream applied patches; P10


* Wed Mar 21 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE7-2mdv2007.1
+ Revision: 147392
- added security patch to fix DoS, taken from Squid
  advisory (http://www.squid-cache.org/Advisories/SQUID-2007_1.txt)

* Tue Jan 16 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE7-1mdv2007.1
+ Revision: 109453
- updated to version 2.6.STABLE7

* Tue Jan 02 2007 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE6-1mdv2007.1
+ Revision: 103347
- updated to version 2.6.STABLE6
- updated icap patch
- updated make patch
- Closes: #27866

* Sat Oct 14 2006 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE1-5mdv2006.0
+ Revision: 64586
- rebuild to fix x86_64 issue (#25731)

* Wed Sep 13 2006 Andreas Hasenack <andreas@mandriva.com> 2.6.STABLE1-4mdv2007.0
+ Revision: 61137
- added parallel initscript support
- added patch to fix transparent proxy mode
  (http://www.squid-cache.org/bugs/show_bug.cgi?id=1650). Tested that it works
  (and that it doesn't work without the patch)
- adjusted icap patch so it applies after the above change
- removed version patch, not needed
- bunzipped patches and some sources
- Import squid

* Wed Jul 26 2006 Oden Eriksson <oeriksson@mandriva.com> 2.6.STABLE1-3mdv2007.0
- fix pid dir in the initscript

* Tue Jul 25 2006 Oden Eriksson <oeriksson@mandriva.com> 2.6.STABLE1-2mdv2007.0
- fix build on x86_64 (cooker)
- 2.6.STABLE1 (Major feature enhancements)
- rediffed P0,P300
- drop upstream patches
- drop the bundled automake-1.5
- new FAQ in html instead (S2)
- make it build with correct LFS CFLAGS (P302)
- make it start even if hostname is borked (P8)
- added a patch by debian so that backslashes works in passwords (P9)
- fix deps
- fix the initscript so that squid won't start if no 2.6 kernel is used
  because squid now requires epoll support
- fix a msec safe pid dir for squid

* Mon Jul 24 2006 Emmanuel Andry <eandry@mandriva.org> 2.6.STABLE1-1mdv2007.0
- 2.6.STABLE1
- rediff patch0
- drop patches 4,300 (destination file doesn't exist anymore)
- drop patches 5,7,100 (upstream)
- drop source10 (samba 2.x support dropped upstream)

* Sat Jun 17 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE14-3mdv2007.0
- added P7 for squid_nufw_helper support

* Mon Jun 12 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE14-2mdv2007.0
- added one official patch (P100)

* Sun May 28 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE14-1mdk
- 2.5.STABLE14 (Minor bugfixes)

* Thu Mar 16 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE13-1mdk
- 2.5.STABLE13 (Major bugfixes)
- drop upstream implemented official patches
- fix the apache config
- make it backportable for older pam (S12,S13)
- add the Azerbaijani translation

* Thu Jan 12 2006 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE12-1mdk
- 2.5.STABLE12
- rediffed P5,P300
- use current official patches
- make --with-maxfd tunable at build time, defaults to 1024 (thanks buchan milne)

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-11mdk
- rebuilt against openssl-0.9.8a

* Tue Sep 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-10mdk
- nuke zero length files

* Sat Sep 10 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-9mdk
- added more official patches, P116 - P127
- dropped P7, use their patch instead (P120)
- rediffed the ICAP patch (P300)

* Fri Sep 09 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-8mdk
- enable icap support per default

* Wed Aug 31 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-7mdk
- rebuilt against new openldap-2.3.6 libs

* Sun Aug 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.5.STABLE10-6mdk
- added P7 to fix a vprintf macro clash (ideas from suse)

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-5mdk
- new official P103
- added more official patches, P110 - P115
- fix deps

* Wed Jun 29 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-4mdk
- rediff the ICAP patch and move it last in line to patch

* Tue Jun 28 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-3mdk
- added seven official patches (P103 - P109)

* Sun Jun 12 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-2mdk
- added --with[out] spec file magic
- use the %%mkrel macro
- bzip sources
- moved the squid cache manager into the common cgi-bin dir and
  added an simple apache config file
- added three official patches (P100, P101, and rediffed P102) from:
  http://www.squid-cache.org/Versions/v2/2.5/bugs/#STABLE10
- added the squid-cachemgr sub package
- spec file massage

* Wed May 25 2005 Oden Eriksson <oeriksson@mandriva.com> 2.5.STABLE10-1mdk
- 2.5.STABLE10
- drop 32 patches for 2.5.STABLE9
- rediffed P5
- use private version of automake
- added P7 (icap support)

* Tue Apr 26 2005 Stew Benedict <sbenedict@mandriva.com> 2.5.STABLE9-1mdk
- 2.5.STABLE9
- rediff patches 0,2,5
- remove patches merged upstream (7-16, 100-114)
- add STABLE9 patches from squid site (P100-132)
- http://www.squid-cache.org/Versions/v2/2.5/bugs/#STABLE9

* Thu Apr 07 2005 Daouda LO <daouda@mandrakesoft.com> 2.5.STABLE6-5mdk 
- security fixes (#13976)
 o Wed Feb 23 2005 Vincent Danen <vdanen@mandrakesoft.com> 2.5.STABLE6-2.4.101mdk
   - P16: security update for CAN-2005-0446

 o Tue Feb 08 2005 Vincent Danen <vdanen@mandrakesoft.com> 2.5.STABLE6-2.3.101mdk
   - security update for CAN-2005-0173, CAN-2005-0174, CAN-2005-0175,
    CAN-2005-0211, CAN-2005-0241 (p 11,12,13,14,15)

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2.5.STABLE6-4mdk
- rebuild for ldap2.2_7

* Mon Jan 31 2005 Frederic Lepied <flepied@mandrakesoft.com> 2.5.STABLE6-3mdk 
- fixed some rpmlint reports
- parallel build
- fix grep command
- security update for CAN-2005-0094 and CAN-2005-0095
- P7: security fix for CAN-2004-0918

* Sat Oct 09 2004 Vincent Danen <vdanen@mandrakesoft.com> 2.5.STABLE6-2mdk
- P7: security fix for CAN-2004-0832

* Fri Aug 20 2004 Florin <florin@mandrakesoft.com> 2.5.STABLE6-1mdk
- 2.5.STABLE6
- add the corresponding patches

* Mon Jun 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.5.STABLE5-5mdk
- security fix for CAN-2004-0541 (P300) (Vincent Danen)

* Fri Jun 11 2004 Florin <florin@mandrakesoft.com> 2.5.STABLE5-4mdk
- silly, I forgot the --enable-follow-x-forwarded-for option

* Fri Jun 11 2004 Florin <florin@mandrakesoft.com> 2.5.STABLE5-3mdk
- add the abuse, xforward_logging, follow_xff patches

* Wed Apr 21 2004 Florin <florin@mandrakesoft.com> 2.5.STABLE5-2mdk
- back to chkconfig 345 in the initscript (thx To D. Walser's report)

* Tue Apr 20 2004 Florin <florin@mandrakesoft.com> 2.5.STABLE5-1mdk
- 2.5.STABLE5
- add the upstream patches
- add some compilation options
- use some rh work (initscript, sysconfig, two patches)
- remove old useless patches

* Tue Mar 30 2004 Vincent Danen <vdanen@mandrakesoft.com> 2.5.STABLE4-2mdk
- security fix for CAN-2004-0189

